
/* footer */
.top-footer {
    background-color: #f7fcfc;
}
.top-footer .top-footer-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 82px;
}
.top-footer .top-footer-wrapper .top-footer-wrapper-title > small {
    font-size: 15px;
    margin-bottom: 25px;
    color: #002E22;
}
.top-footer .top-footer-wrapper .top-footer-wrapper-title h2,
.top-footer .top-footer-wrapper .top-footer-wrapper-title h2 small {
    font-size: 34px;
}
.top-footer .top-footer-wrapper .top-footer-wrapper-content p {
    margin-bottom: 40px;
    line-height: 149%;
    font-size: 14px;
    padding-right: 90px;
    color: #424242;
}
.top-footer .top-footer-wrapper .top-footer-wrapper-content .quote-box {
    float: right;
    padding-right: 120px;
    display: flex;
    gap: 36px;
    align-items: center;
}
.top-footer .top-footer-wrapper .top-footer-wrapper-content .quote-box span {
    font-size: 16px;
    font-weight: 800;
    color: #004C38;
}
.top-footer .top-footer-wrapper .top-footer-wrapper-content .quote-box span img {
    vertical-align: middle;
    margin-right: 5px;
}


/* main-footer */
.main-footer {
    background-color: var(--primary-color);
    color: white;
}
.main-footer .main-footer-wrapper {
    display: grid;
    grid-template-columns: 2.5fr 1fr 1.5fr;
    gap: 20px;
    padding-block: 80px;
}
.main-footer .main-footer-wrapper .main-footer-box h3 {
    font-size: 24px;
    font-weight: 700;
    color: var(--bg-primary);
    margin-bottom: 24px;
}
/* box-1 */
.main-footer .main-footer-wrapper .main-footer-wrapper-title {
    padding-right: 190px;
}
.main-footer .main-footer-wrapper .main-footer-wrapper-title p {
    color: white;
    margin-bottom: 40px;
}
.main-footer .main-footer-wrapper .main-footer-wrapper-title form {
    display: flex;
    flex-direction: column;
    gap: 30px;
}
.main-footer .main-footer-wrapper .main-footer-wrapper-title form input {
    height: 57px;
    background-color: white;
    border-radius: 50px;
    border: none;
    width: 100%;
    padding-inline: 20px;
}
.main-footer .main-footer-wrapper .main-footer-wrapper-title form button {
    background-color: var(--bg-primary);
    border-radius: 50px;
    padding: 14px 52px;
    color: #002E22;
    width: fit-content;
    border: none;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;max-height: 50px;
}
/* box-2 */
.main-footer .main-footer-wrapper .main-footer-wrapper-content-link ul {
    list-style: disc;
    color: var(--bg-primary);
    padding-left: 35px;
    display: flex;
    flex-direction: column;
    gap: 17px;
}
.main-footer .main-footer-wrapper .main-footer-wrapper-content-link ul li a {
    color: white;
    text-transform: capitalize;
}
.main-footer .main-footer-wrapper .main-footer-wrapper-content-link ul li a:hover {
    color: var(--bg-primary);
}
/* box-3 */
.main-footer .main-footer-wrapper .main-footer-box-company h3 {
    margin-bottom: 24px;
}
.main-footer .main-footer-wrapper .main-footer-box-company > p {
    color: white;
    line-height: 178%;
    font-size: 16px;
    margin-bottom: 20px;
}
.main-footer .main-footer-wrapper .main-footer-box-company .company-loc {
    display: flex;
    gap: 14px;
    align-items: center;
    margin-bottom: 21px;
}
.main-footer .main-footer-wrapper .main-footer-box-company .company-loc p {
    color: white;
}
.main-footer .main-footer-wrapper .main-footer-box-company .company-loc img {
    padding-top: 3px;
}
.main-footer .main-footer-wrapper .main-footer-box-company .follow-us {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 17px;
}


.footer-copyright {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-block: 27px;
}
.footer-copyright p,
.footer-copyright ul li a {
    color: white;
    font-size: 16px;
}
.footer-copyright ul li a:hover {
    color: var(--bg-primary);
}
.footer-copyright .right-copyright {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
}
.footer-copyright .right-copyright hr {
    height: 14px;
    color: transparent;
    border: none;
    border-left: 2px solid white;
}
.main-footer hr {
    border: none;
    border-bottom: 1px solid white;
}



@media screen and (max-width: 991px) {
    .top-footer .top-footer-wrapper {
        grid-template-columns: repeat(1, 1fr);
        gap: 20px;
    }
    .top-footer .top-footer-wrapper .top-footer-wrapper-title > small {
        margin-bottom: 10px;
        color: #004C38;
    }
    .top-footer .top-footer-wrapper .top-footer-wrapper-title h2,
    .top-footer .top-footer-wrapper .top-footer-wrapper-title h2 small {
        font-size: 26px;
    }
    .top-footer .top-footer-wrapper .top-footer-wrapper-content p {
        margin-bottom: 20px;
        padding-right: 0;
    }
    .top-footer .top-footer-wrapper .top-footer-wrapper-content > p * {
        color: #424242;
    }
    .top-footer .top-footer-wrapper .top-footer-wrapper-content .quote-box {
        padding-right: 0;
    }


    /* main-footer */
    .main-footer .main-footer-wrapper {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        row-gap: 30px;
        padding-block: 50px;
    }
    .main-footer .main-footer-wrapper .main-footer-wrapper-title {
        grid-column: 1 / 3;
    }
    .main-footer .main-footer-wrapper .main-footer-wrapper-title form {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 20px;
    }
    .main-footer .main-footer-wrapper .main-footer-box h3 {
        margin-bottom: 20px;
    }
    .main-footer .main-footer-wrapper .main-footer-wrapper-title p {
        margin-bottom: 30px;
    }
    
}




@media screen and (max-width: 767px) {
    .main-footer .main-footer-wrapper .main-footer-wrapper-title {
        padding-right: 0px;
    }
    .main-footer .main-footer-wrapper .main-footer-box h3 {
        margin-bottom: 16px;
    }
    .main-footer .main-footer-wrapper .main-footer-wrapper-title p {
        margin-bottom: 20px;
    }


    .footer-copyright {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-block: 27px;
        text-align: center;
        gap: 10px;
    }
    .footer-copyright p,
    .footer-copyright ul li a {
        font-size: 14px;
    }
}


@media screen and (max-width: 600px) {
    .main-footer .main-footer-wrapper {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        row-gap: 30px;
        padding-block: 30px;
    }
    .main-footer .main-footer-wrapper .main-footer-wrapper-title {
        grid-column: 1 / 1;
    }
}



@media screen and (max-width: 375px) {
    .top-footer .top-footer-wrapper .top-footer-wrapper-title h2,
    .top-footer .top-footer-wrapper .top-footer-wrapper-title h2 small {
        font-size: 22px;
    }
    .top-footer .top-footer-wrapper .top-footer-wrapper-content .quote-box {
        gap: 20px;
    }
}